<?php
/***********************************************
* File      :   maintain.inc.php
* Project   :   piwigo-force-https
* Descr     :   Install / Uninstall method
*
* Created   :   02.05.2013
*
* Author: bonhommedeneige
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
************************************************/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
define('FORCE_HTTPS_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');

function plugin_install()
{
	$q = 'INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
		VALUES ("fhp_active", "true", "Activation status tag used by the piwigo-force-https plugin");';
	pwg_query( $q );
}

function plugin_uninstall()
{
	if (is_dir(PHPWG_ROOT_PATH.PWG_LOCAL_DIR.'piwigo-force-https'))
	{
		deltree(PHPWG_ROOT_PATH.PWG_LOCAL_DIR.'piwigo-force-https');
	}
	$q = 'DELETE FROM '.CONFIG_TABLE.' WHERE param LIKE "fhp_%" LIMIT 6;';
	pwg_query( $q );
}

function plugin_activate()
{
	global $conf;

	if (!isset($conf['fhp_active']))
	{
		plugin_install();
	}
}

function deltree($path)
{
	if (is_dir($path))
	{
		$fh = opendir($path);
		while ($file = readdir($fh))
		{
			if ($file != '.' and $file != '..')
			{
				$pathfile = $path . '/' . $file;
				if (is_dir($pathfile))
				{
					deltree($pathfile);
				}
				else
				{
					@unlink($pathfile);
				}
			}
		}
		closedir($fh);
		return @rmdir($path);
	}
}
?>
